Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Run rule in a subassembly

1 REPLY 1
Reply
Message 1 of 2
sheetal.b
206 Views, 1 Reply

Run rule in a subassembly

sheetal.b
Participant
Participant

I placed a sub-assembly in a main assembly. The sub-assembly to be placed is selected by ilogic rules. So the name of sub-assembly changes every time. I placed constraints on this sub-assembly.

Constraints.AddFlush("", componentA, "Work Plane1", "PART:1", "XY Plane",
                     offset := 0.0, biasPoint1 := Nothing, biasPoint2 := Nothing)

Now, I want to rule a rule in the sub-assembly. But I am getting an error.

iLogicVb.RunRule(componentA,, "Myrule")

 How can I solve this?

0 Likes

Run rule in a subassembly

I placed a sub-assembly in a main assembly. The sub-assembly to be placed is selected by ilogic rules. So the name of sub-assembly changes every time. I placed constraints on this sub-assembly.

Constraints.AddFlush("", componentA, "Work Plane1", "PART:1", "XY Plane",
                     offset := 0.0, biasPoint1 := Nothing, biasPoint2 := Nothing)

Now, I want to rule a rule in the sub-assembly. But I am getting an error.

iLogicVb.RunRule(componentA,, "Myrule")

 How can I solve this?

1 REPLY 1
Message 2 of 2
JelteDeJong
in reply to: sheetal.b

JelteDeJong
Mentor
Mentor

try using

iLogicVb.RunRule(componentA, "Myrule")

 Pay attention to the "," that I left away. the 3 argument should be a NamevalueMap not the name of your rule.

Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Blog: hjalte.nl - github.com

0 Likes

try using

iLogicVb.RunRule(componentA, "Myrule")

 Pay attention to the "," that I left away. the 3 argument should be a NamevalueMap not the name of your rule.

Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Blog: hjalte.nl - github.com

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report